Try our new Setup Skill to automatically integrate Hyperspell into your project
curl --request POST \
--url https://api.hyperspell.com/entities/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"type": "<string>",
"limit": 20
}
'{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"name": "<string>",
"mention_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"similarity": 123,
"description": "<string>",
"attributes": {},
"first_seen_resource_id": "<string>",
"last_seen_resource_id": "<string>"
}
]
}Semantic search over entities by cosine similarity to the query embedding.
POST (not GET) because vectors don’t fit nicely in querystrings — and we may want to extend the request body with filters later.
curl --request POST \
--url https://api.hyperspell.com/entities/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"type": "<string>",
"limit": 20
}
'{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"name": "<string>",
"mention_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"similarity": 123,
"description": "<string>",
"attributes": {},
"first_seen_resource_id": "<string>",
"last_seen_resource_id": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt
Use this file to discover all available pages before exploring further.
API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
Successful Response
Show child attributes
Was this page helpful?